Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class WidgetFactory

Field Summary
`boolean` | `leaf`
`Class` | `restrictedType`

Constructor Summary
`WidgetFactory(Class restrictedType, boolean leaf)`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### WidgetFactory

    public WidgetFactory(Class restrictedType, boolean leaf)

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)